summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorThomas Sachau <tommy@gentoo.org>2013-09-17 12:25:50 +0000
committerThomas Sachau <tommy@gentoo.org>2013-09-17 12:25:50 +0000
commitc8dda5d0985152573ab3c0f6085892c641a86ca4 (patch)
tree9abfa20f74808ad78c0aeb0415202998b128ac37 /eclass
parent~sparc wrt bz 449184 (diff)
downloadgentoo-2-c8dda5d0985152573ab3c0f6085892c641a86ca4.tar.gz
gentoo-2-c8dda5d0985152573ab3c0f6085892c641a86ca4.tar.bz2
gentoo-2-c8dda5d0985152573ab3c0f6085892c641a86ca4.zip
Add multilib_build_binaries function to multilib-build eclass
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/multilib-build.eclass10
2 files changed, 14 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index b579088d864d..a7fa0b572ee8 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.966 2013/09/16 17:58:15 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.967 2013/09/17 12:25:50 tommy Exp $
+
+ 17 Sep 2013; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
+ multilib-build.eclass:
+ Add multilib_build_binaries function to multilib-build eclass
16 Sep 2013; Michał Górny <mgorny@gentoo.org> python-utils-r1.eclass:
Deprecate python_get_PYTHON and python_get_EPYTHON.
diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index 2586b6893dff..683700e2685d 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.18 2013/08/08 10:20:15 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.19 2013/09/17 12:25:50 tommy Exp $
# @ECLASS: multilib-build.eclass
# @MAINTAINER:
@@ -376,5 +376,13 @@ multilib_is_native_abi() {
[[ ${ABI} == ${DEFAULT_ABI} ]]
}
+multilib_build_binaries() {
+ debug-print-function ${FUNCNAME} "${@}"
+
+ [[ ${#} -eq 0 ]] || die "${FUNCNAME}: too many arguments"
+
+ [[ ${COMPLETE_MULTILIB} == yes ]] || multilib_is_native_abi
+}
+
_MULTILIB_BUILD=1
fi